Failed IOS upgrade on 3750

Answered Question
Aug 19th, 2008

I was attempting an automagic IOS upgrade on a 3750 - archive download-sw /overwrite tftp: - something I have done a million (OK, maybe a hundred) times. I went through the download s/w area very carefully and got the correct *.tar file for my switch (a 3750-48PS). After "loading" the s/w, instead of getting the "installing image", I got this...

Error: The image in the archive which would be used to upgrade

Error: system number 1 does not support the same feature set.

I was upgrading from Base to Advanced IP Services. I ended up doing a manual upgrade with a different Base IP BIN file and changing the boot command. Any ideas on the issue I had with the automatic way?

Thanks in advance,


I have this problem too.
0 votes
Correct Answer by garytayl about 8 years 2 months ago

Not sure if you are using CiscoWorks or not but, that same error is documented on CSCsi74369.

If you have a valid CCO you can look for the details here:

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (1 ratings)
don-sullivan Tue, 08/19/2008 - 12:41

Whenever changing feature sets on a switch you need to include /allow-feature-upgrade.

The command would have looked like archive download-sw /overwrite /allow-feature-upgrade /reload tftp://..........


This Discussion